Subject: /dev

From: Damiano Bolla <[email-masked]>
Date: Sat, 04 Apr 92 11:49:29 +0100

I agree with LeBlanc.

I think that having subdirectoryes in /dev/is possible and desiderable.
If any of your program complains you can always symlink.....

The all thing is MUCH easier to understand and to maintain.

BTW: The all point to have this is that the resulting structure
has MORE meaning than the original.

What I mean is that the all point of this discussion is to end up with
a naming schema that :

Can be EXPANDED without a change of the rules.
It is EASY to understand what a device is WITHOUT looking at the manual.

.....

Then welcome to 

/dev/fd/scsi...
/dev/fd/wd..

/dev/flp/1.4m
/dev/flp/720k
/dev/flp/1.2m

/dev/mt/wan....
/dev/mt/col....

/dev/mouse/....

/dev/midi/sb..
/dev/midi/...

/dev/pty/pty1
/dev/pty/ptym1
/dev/pty/pty2
/dev/pty/ptym2

Just one thing......

we keep the virtual consoles and all serial lines are in /dev 
/dev/console
/dev/tty
/dev/tty1	# virtual console
/dev/tty2	# virtual console
.......

/dev/ttys1	# Serial line
/dev/ttys2	# Serial line
/dev/ttys3

I don't think that having a special piece of hardware for more serial 
lines wil pose a problem, You will have a different major but you can
allocate the serials where you want.
NOTE: This is possible since ALL serial lines have a common set of
operations available. Ie. the soft DO NOT need to distinguish between 
the different brand ( Here software means user programs )

Damiano